PHP Manual
Prev |  | Next

# SAMConnection->rollback()

(no version information, might be only in CVS)

SAMConnection->rollback() -- Cancels (rolls back) an in-flight unit of work.

## Description

class SAMConnection {
bool rollback ( void )
}

Rolls back an in-flight unit of work.

## Return Values

This method returns `FALSE` if an error occurs.

## Examples

Example 1. Cancelling an in-flight unit of work

`<?php if (!$conn->rollback()) { // The rollback failed! echo "Rollback failed ($conn->errno) $conn->error"; } ?>`

## See Also

SAMConnection->commit()

Prev | Home | Next
SAMConnection->remove() | Up | SAMConnection->send()